Annonce

Écrire une réponse

Veuillez écrire votre message et l'envoyer

Cliquez dans la zone sombre de l'image pour envoyer votre message.

Retour

Résumé de la discussion (messages les plus récents en premier)

ddtddt
2022-01-12 15:12:49

Bonjour
le lien de votre site ?

gerardbonnier
2022-01-12 15:07:17

toute mes excuses mais je ne comprends pas la question lien de l'installation !

ddtddt
2022-01-12 14:40:53

Bonjour

Lien de l'installation ?

gerardbonnier
2022-01-12 12:25:20

A la racine www j'ai un fichier index qui me permet de voir que j'accède bien à mon site indépendamment de piwigo. avec php 7.0 dans .ovhconfig tout fonctionne et phpinfo me donne PHP Version 7.0.33
mais 7.0.33, 7.1 ou 7.2 ou 7.3 visiblement mon site (sans piwigo) ne fonctionne pas. donc en version 7 c'est php 7.0 que ovh me propose (7.0.33) et cette version ne semble pas convenir à piwigo 12.0.0

ddtddt
2022-01-12 12:21:32

Bonjour,

La version 12 fonctionne ttrès bien chez ovh avec php 7, 7.2 et suivante.

Il y a un autre problème sur ton espace
As tu vérifier dans ton fichier de config l'adresse du serveur de base de données   ovh les a changé il y a peux

gerardbonnier
2022-01-12 12:12:58

avec 7.2 : même punition :
GET not supported for current URL.

Additionally, a 501 Not Implemented error was encountered while trying to use an ErrorDocument to handle the request.

ddtddt
2022-01-12 12:00:01

Bonjour,

essais avec
app.engine.version=7.2

gerardbonnier
2022-01-12 11:11:29

Donc si j'ai bien compris, je dispose d'une version 12.0.0 de piwigo qui fonctionne très bien avec PHP 5.4 mais qui ne fonctionne pas avec PHP 7.0.33 !
Pourtant je lis dans la documentation que la version 12.0.0 de piwigo demande une version 7 de PHP ?

gerardbonnier
2022-01-12 11:01:29

finalement quand dans .ovhconfig j'écris : app.engine.version=7.0 j'ai avec phpinfo : PHP Version 7.0.33
donc que OVH fonctionne avec une version 7 mais à ce moment c'est piwigo (version 12.0.0) qui refuse son usage :

Fatal error: Uncaught Error: Call to undefined function mysql_connect() in /home/famillebi/www/piwigo/include/dblayer/functions_mysql.inc.php:23 Stack trace: #0 /home/famillebi/www/piwigo/include/common.inc.php(109): pwg_db_connect('famillebiami.my...', 'famillebiami', 'EB24204575', 'famillebiami') #1 /home/famillebi/www/piwigo/index.php(11): include_once('/home/famillebi...') #2 {main} thrown in /home/famillebi/www/piwigo/include/dblayer/functions_mysql.inc.php on line 23

gerardbonnier
2022-01-12 10:39:30

Le problème c'est que je ne trouve pas de fichier php.ini dans l'arborescence de mon site
phpinfo me donne comme adresse : /usr/local/lib/php.ini qui n'est pas accessible par ma connexion FTP sur le site OVH.

ddtddt
2022-01-12 10:21:41

Bonjour

@gerardbonnier je parlais du fichiezr php.ini

gerardbonnier
2022-01-12 09:39:00

si je supprime de la racine (www) le fichier .ovhconfig. Alors phpinfo affiche
PHP Version 4.4.9
et piwigo
Parse error: syntax error, unexpected T_OBJECT_OPERATOR in /home/famillebi/www/piwigo/index.php on line 315

ddtddt
2022-01-11 22:50:13

Bonjour

@gerardbonnier
et en supprimant le fichier pour que e soit le .ovhconfig qui soit pris en compte ?

gerardbonnier
2022-01-11 15:32:09

Non pour ma part le problème n'est pas réglé car quand je change le numéro de version pour celui qui est attaché à mon site OVH (7.3) l'information n'est pas prise en compte et seul la version 5.4 est acceptée alors que OVH m'informe qu'il fonctionne avec la version 7.3

donc pour l'instant je ne sais pas comment résoudre ce problème qui ne semble pas provenir de piwigo et j’attends une réponse de OVH

ddtddt
2022-01-11 13:51:02

Bonjour,

laisne a écrit:

J'ai le même problème

donc applique la même correction ;-)

je suppose que le problème de gerardbonnier est réglé

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2022 · Contact